<?php

namespace App\Models;

use CodeIgniter\Model;

class ModelJenisCuti extends Model

{
    protected $table = 'jenis_cuti'; // Nama tabel di database
    protected $primaryKey = 'id_jenis'; // Primary key tabel
    protected $allowedFields = ['nama_jenis', 'jumlah_default']; // Kolom yang dapat diisi

    /**
     * Fungsi untuk mendapatkan semua data lansia
     *
     * @return array
     */
    public function getAllData()
    {
        return $this->orderBy('id_jenis', 'DESC')->findAll();
    }

    /**
     * Fungsi untuk mendapatkan data lansia berdasarkan id_jenis
     *
     * @param int $id_jenis
     * @return array|null
     */
    public function getDataById($id_jenis)
    {
        return $this->where('id_jenis', $id_jenis)->first();
    }

    /**
     * Fungsi untuk menambahkan data baru
     *
     * @param array $data
     * @return bool
     */
    public function tambahData($data)
    {
        return $this->insert($data);
    }

    /**
     * Fungsi untuk memperbarui data
     *
     * @param int $id_jenis
     * @param array $data
     * @return bool
     */
    public function updateData($id_jenis, $data)
    {
        return $this->update($id_jenis, $data);
    }

    /**
     * Fungsi untuk menghapus data
     *
     * @param int $id_jenis
     * @return bool
     */
    public function deleteData($id_jenis)
    {
        return $this->delete($id_jenis);
    }
}
